version: "3.4"

x-logging: &default-logging
    driver: "json-file"
    options:
        max-size: "500k"
        max-file: "10"

services:
    keycloak:
        image: jboss/keycloak:{{ keycloak_version }}
        restart: unless-stopped
        env_file:
            - keycloak.env
        networks:
            - web
            - dbnet
        expose:
            - 8080
        labels:
            - "traefik.enable=true"
            - "traefik.docker.network=web"
            - "traefik.http.routers.{{ keycloak_name }}-keycloak.entrypoints=websecure"
            - "traefik.http.routers.{{ keycloak_name }}-keycloak.rule=Host(`{{ keycloak_domain }}`)"
            - "traefik.http.routers.{{ keycloak_name }}-keycloak.tls.certresolver=httpsresolver"
            - "traefik.http.services.{{ keycloak_name }}-keycloak.loadbalancer.server.port=8080"
        logging: *default-logging

    db:
        image: postgres:{{ pg_version }}-alpine
        restart: unless-stopped
        networks:
            - dbnet
        env_file:
            - db.env
        expose:
            - 5432
        volumes:
            - db:/var/lib/postgresql/data
            - ./db/backup:/docker-entrypoint-initdb.d/
        logging: *default-logging

networks:
    web:
        external: true
    dbnet:

volumes:
    db:
